Python 2.7.5 (v2.7.5:ab05e7dd2788, May 13 2013, 13:18:45) 
[GCC 4.2.1 (Apple Inc. build 5666) (dot 3)] on darwin
Type "copyright", "credits" or "license()" for more information.
>>> ================================ RESTART ================================
>>> 
>>> os.chdir('../GSMNs/NewGSMNs');s=shelve.open('NewNetworks')
>>> from ModelProcessing import *
>>> Unblock = {}
>>> for x in s.keys():
	curModel = s[x]
	N = curModel.Matrix
	curBio = curModel.findBiomassReaction()
	(deadRows, deadCols, current, Causes) = processDeadEnds(N, True)
	if 'C'+str(curBio) in Causes:
		Unblock[x] = Causes, curBio

		
>>> len(Unblock)
17
>>> for key,val in Unblock.iteritems():
	print(key,traceBack('C'+str(val[1]),val[0]))

	
('FT1', ['R168', 'C565', 'R364', 'C601'])
('NM1', ['R100', 'C604'])
('SA3', ['R1135', 'C192', 'R296', 'C530', 'R849', 'C1528'])
('CA2', ['R99', 'C501'])
('CA1', ['R132', 'C38'])
('SS1', ['R82', 'C730'])
('MS2', ['R69', 'C564'])
('LP1', ['R530', 'C555', 'R518', 'C734', 'R514', 'C571', 'R121', 'C758'])
('CH1', ['R299', 'C286', 'R380', 'C54', 'R382', 'C111', 'R169', 'C89'])
('MM3', ['R180', 'C1488'])
('AN1', ['R109', 'C1093'])
('ZY1', ['R132', 'C746'])
('CG1', ['R47', 'C372'])
('SM1', ['R70', 'C792'])
('MS1', ['R254', 'C373'])
('LL1', ['R114', 'C489'])
('SC3', ['R89', 'C1094'])
>>> for key in Unblock:
	print('Processing the ' + key + ' model')
	curModel = s[key]
	curVal = Unblock[key]
	if len(curVal) <= 2:
		curCause = curVal[0]['C'+str(curVal[1])]
		curMetab = int(curCause[1:])
		curInternals = [i for i,x in enumerate(curModel.metabolites) if not x.external]
		curMetab = curInternals[curMetab]
		curModel.addReaction('Biomass export', [[curMetab, -one]])
		s[key] = curModel

		
Processing the FT1 model
Processing the NM1 model
Processing the SA3 model
Processing the CA2 model
Processing the CA1 model
Processing the SS1 model
Processing the MS2 model
Processing the LP1 model
Processing the CH1 model
Processing the MM3 model
Processing the AN1 model
Processing the ZY1 model
Processing the CG1 model
Processing the SM1 model
Processing the MS1 model
Processing the LL1 model
Processing the SC3 model
>>> s.close() 
