Python 2.7.5 (v2.7.5:ab05e7dd2788, May 13 2013, 13:18:45) 
[GCC 4.2.1 (Apple Inc. build 5666) (dot 3)] on darwin
Type "copyright", "credits" or "license()" for more information.
>>> ================================ RESTART ================================
>>> 
>>> os.chdir('../GSMNs/NewGSMNs/'); s=shelve.open('NewSBMLs'); LF=[x for x in os.listdir('.') if x.lower().endswith('xml')]
>>> LF[0]
'a_thaliana_iRS1597-20110818.xml'
>>> AT2=parseSBML(LF[0])
Warning: no candidate for extra, outside found in the list
Warning: multiple candidates for biomass found in the list
0) R_FA_biomass_drain 1) R_Biomass_synthesis__Leaf_ 2) R_Biomass_exchange
Please select the correct string from the list above and enter its number, or -1 if none 
1
>>> AT2.adjustExternal('e')
Trying to adjust external metabolites
>>> LF[1]
'Acinetobacter Baumannii.xml'
>>> AB1=parseSBML(LF[1])
Warning: no candidate for extra, outside found in the list
Warning: no candidate for biomass found in the list
>>> for metab in AB1.metabolites:
	if metab.species.name.endswith('xt'):
		metab.compartment = 'e'
		metab.external = True
		metab.species.name = metab.species.name[:-2]

		
>>> goodInds = [i for i,r in enumerate(AB1.reactions) if r.name.startswith('R761')]; goodInds; AB1.biomassCoefficients[goodInds[0]]=one
[760]
>>> LF[2]
'Arabidopsis Thaliana.xml'
>>> AB1.createMatrices()
>>> AT1=parseSBML(LF[2])
Warning: no candidate for biomass found in the list
>>> bioInds=[AT1.metabolites.index(x) for x in AT1.metabolites if x.species.name=="Biomass"];bioInds;goodInds=[y for y in range(len(AT1.reactions)) if AT1.fullMatrix[bioInds[0]][y]];goodInds;AT1.biomassCoefficients[goodInds[0]]=one
[633]
[46]
>>> LF[3]
'Aspergillus nidulans.xml'
>>> AN1c=parseSBML(LF[3])
Warning: no candidate for extra, outside found in the list
Warning: no candidate for biomass found in the list
>>> AN1c.adjustExternal('C_2')
Trying to adjust external metabolites
>>> AN1c.adjustExternal('C_3')
Trying to adjust external metabolites
>>> bioInds=[i for i,x in enumerate(AN1c.metabolites) if x.species.name=="M_740"];bioInds
[739]
>>> goodInds=[y for y in range(len(AN1c.reactions)) if AN1c.fullMatrix[bioInds[0]][y]];goodInds;AN1c.biomassCoefficients[goodInds[0]]=one
[1101]
>>> LF[4]
'Aspergillus niger iMA871.xml'
>>> AG1=parseSBML(LF[4])
Warning: no candidate for extra, outside found in the list
Warning: no candidate for biomass found in the list
>>> AG1.adjustExternal('C_2')
Trying to adjust external metabolites
>>> goodInds=[ind for ind, r in enumerate(AG1.reactions) if "artificial" in r.name.lower() or "growth" in r.name.lower()];goodInds
[924, 939, 944, 996, 1014, 1017, 1018, 1019, 1020, 1021]
>>> AG1.reactions[goodInds[-2]].description
{'notes': '<notes>\n  <html xmlns="http://www.w3.org/1999/xhtml">\n    <p>SUBSYSTEM: Biomass reactions - Biomass formation</p>\n  </html>\n</notes>'}
>>> AG1.biomassCoefficients[goodInds[-2]]=one
>>> s['AT2']=AT2; s['AB1']=AB1; s['AT1']=AT1; s['AN1c']=AN1c; s['AG1']=AG1
>>> LF[5]
'Aspergillus oryzae.xml'
>>> AG1.adjustExternal('C_3')
Trying to adjust external metabolites
>>> AO1=parseSBML(LF[5])
Warning: no candidate for extra, outside found in the list
Warning: multiple candidates for biomass found in the list
0) Biomass formation 1) Biomass formation CF
Please select the correct string from the list above and enter its number, or -1 if none 
0
>>> AO1.adjustExternal('C_5')
Trying to adjust external metabolites
>>> LF[6]
'Bacillus Subtilis.xml'
>>> BS2=parseSBML(LF[6])
>>> LF[7]
'Burkholderia cenocepacia.xml'
>>> BC1=parseSBML(LF[7])
>>> LF[8]
'Chlamydomonas reinhardtii iRC1080.xml'
>>> CR1=parseSBML(LF[8])
Warning: no candidate for extra, outside found in the list
Warning: multiple candidates for biomass found in the list
0) Biomass (autotrophic) 1) Biomass (mixotrophic) 2) Biomass (heterotrophic)
Please select the correct string from the list above and enter its number, or -1 if none 
0
>>> CR1.adjustExternal('e')
Trying to adjust external metabolites
>>> LF[9]
'Clostridium beijerinckii.xml'
>>> CB1=parseSBML(LF[9])
Warning: no candidate for extra, outside found in the list
>>> CB1.adjustExternal('C_e')
Trying to adjust external metabolites
>>> s['AO1']=AO1; s['BS2']=BS2; s['BC1']=BC1; s['CR1']=CR1; s['CB1']=CB1
>>> LF[10]
'Clostridium Thermocellum.xml'
>>> CT1=parseSBML(LF[10])
>>> LF[11]
'Dehalococcoides ethenogenes iAI549.xml'
>>> DE1=parseSBML(LF[11])
>>> LF[12]
'Escherichia Coli iAF1260.xml'
>>> EC3=parseSBML(LF[12])
>>> LF[13]
'Escherichia coli iCA1273.xml'
>>> EC4=parseSBML(LF[13])
>>> EC4c=parseSBML(LF[13])
>>> LF[14]
'Escherichia coli iJO1366.xml'
>>> EC5=parseSBML(LF[14])
Warning: no candidate for extra, outside found in the list
Warning: multiple candidates for biomass found in the list
0) E. coli biomass objective function (iJO1366) - WT - with 53.95 GAM estimate 1) E. coli biomass objective function (iJO1366) - core - with 53.95 GAM estimate
Please select the correct string from the list above and enter its number, or -1 if none 
0
>>> EC5.adjustExternal('e')
Trying to adjust external metabolites
>>> s['CT1']=CT1; s['DE1']=DE1; s['EC3']=EC3; s['EC4c']=EC4c; s['EC5']=EC5
>>> LF[15]
'Escherichia Coli Ijr904.xml'
>>> EC2=parseSBML(LF[15])
>>> LF[16]
'Escherichia Coli Textbook.xml'
>>> EC6=parseSBML(LF[16])
>>> LF[17]
'Helicobacter Pylori iIT341.xml'
>>> HP2=parseSBML(LF[17])
Warning: no candidate for biomass found in the list
>>> goodInds = [ind for ind, r in enumerate(HP2.reactions) if "growth" in r.name or "biomass" in r.name]; goodInds; HP2.biomassCoefficients[goodInds[0]]=one
[75]
>>> LF[18]
'Homo Sapiens.xml'
>>> HS1=parseSBML(LF[18])
Warning: no candidate for biomass found in the list
>>> getSize(HS1.fullMatrix)
(3188, 3742)
>>> getSize(HS1.Matrix)
(2380, 3742)
>>> LF[19]
'Klebsiella pneumoniae.xml'
>>> KP1=parseSBML(LF[19])
Warning: no candidate for extra, outside found in the list
>>> KP1.adjustExternal('e')
Trying to adjust external metabolites
>>> s['EC2']=EC2; s['EC6']=EC6; s['HP2']=HP2; s['HS1']=HS1; s['KP1']=KP1
>>> len(s.keys())
20
>>> LF[20]
'Leishmania Major.xml'
>>> LM1=parseSBML(LF[20])
>>> LF[21]
'Methanosarcina acetivorans iVS941.XML'
>>> MA1=parseSBML(LF[21])
Warning: no candidate for biomass found in the list
>>> LF[22]
'Methanosarcina Barkeri.xml'
>>> MB1=parseSBML(LF[22])
>>> LF[23]
'Mus musculus 2008.xml'
>>> MM1=parseSBML(LF[23])
>>> LF[24]
'Mycobacterium Tuberculosis iNJ661.xml'
>>> MT1c=parseSBML(LF[24])
>>> s['LM1']=LM1; s['MA1']=MA1; s['MB1']=MB1; s['MM1']=MM1; s['MT1c']=MT1c
>>> LF[25]
'Mycobacterium tuberculosis iNJ661m.xml'
>>> MT3=parseSBML(LF[25])
Warning: no candidate for extra, outside found in the list
>>> MT3.adjustExternal('C_e')
Trying to adjust external metabolites
>>> LF[26]
'Mycoplasma genitalium iPS189.xml'
>>> MG1c=parseSBML(LF[26])
>>> LF[27]
'Natronomonas Pharaonis.xml'
>>> NP1=parseSBML(LF[27])
>>> LF[28]
'Pichia pastoris iLC915.xml'
>>> PP3=parseSBML(LF[28])
Warning: no candidate for extra, outside found in the list
Warning: multiple candidates for biomass found in the list
0) Drain of biomass 1) Biomass (g/gDW) 2) Biomass formation
Please select the correct string from the list above and enter its number, or -1 if none 
2
>>> PP3.adjustExternal('C_7')
Trying to adjust external metabolites
>>> PP3.adjustExternal('C_8')
Trying to adjust external metabolites
>>> LF[29]
'Pichia pastoris PpaMBEL1254.xml'
>>> PP1=parseSBML(LF[29])
Warning: no candidate for extra, outside found in the list
Warning: no candidate for biomass found in the list
>>> bioInds = [ind for ind, m in enumerate(PP1.metabolites) if "biomass" in m.species.name.lower()]; bioInds; goodInds=[y for y in range(len(PP1.reactions)) if PP1.fullMatrix[bioInds[0]][y]]; goodInds; PP1.biomassCoefficients[goodInds[0]]=one
[426]
[1235]
>>> for metab in PP1.metabolites:
	if metab.species.name.endswith('_e'):
		metab.compartment = 'e'
		metab.external = True
		metab.species.name = metab.species.name[:-2]


>>> PP1.createMatrices()
>>> s['MT3']=MT3; s['MG1c']=MG1c; s['NP1']=NP1; s['PP3']=PP3; s['PP1']=PP1
>>> s.close()
